TLS certificates
v1.6.2
Download OpenAPI
Revoke TLS certificate
Revoke only the currently selected TLS certificate while keeping the order available for later reissue.
POST
/tls/certificate/{certificate_id}/revoke
TLSCertificatesByID

Authentication

x-api-keyapplication/json

Parameters

Name
Type
Format
Required
Description
certificate_id
path
string
Required
Public TLS certificate ID

Request body

application/jsonOptional
Revocation request payload
tlsCertificateRevokeRequest
tlsCertificateRevokeRequest
{
  "comment": "example",
  "revocation_reason": "unspecified"
}

Fields

Name
Type
Format
Required
Description
comment
string
Optional
Optional provider comment for the revocation request.
revocation_reason
unspecified, keyCompromise, affiliationChanged, superseded, cessationOfOperation
string
Optional
Revocation reason.

Request example

POST
curl --request POST \
  --url 'https://api.regfish.com/tls/certificate/7K9QW3M2ZT8HJ/revoke' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "comment": "example",
  "revocation_reason": "unspecified"
}'

Responses

200
TLS certificate revocation accepted
application/jsontlsCertificateResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "id": "7K9QW3M2ZT8HJ",
    "status": "pending",
    "common_name": "example",
    "product": "example",
    "provider": "digicert",
    "dns_names": [
      "example"
    ],
    "action_required": false,
    "pending_reason": "validation_pending",
    "pending_message": "The TLS certificate order is waiting for domain validation.",
    "completion_url": "",
    "organization_id": null,
    "certificate_pem_available": false
  }
}
400
Invalid request or revocation reason
application/jsonError
Response example 400
{
  "success": false,
  "message": "Invalid request or revocation reason",
  "error": "Invalid request or revocation reason"
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
TLS certificate not found
application/jsonError
Response example 404
{
  "success": false,
  "message": "TLS certificate not found",
  "error": "TLS certificate not found"
}
409
The TLS certificate cannot be revoked in its current state
application/jsonError
Response example 409
{
  "success": false,
  "message": "The TLS certificate cannot be revoked in its current state",
  "error": "The TLS certificate cannot be revoked in its current state"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
502
Upstream TLS provider error
application/jsonError
Response example 502
{
  "success": false,
  "message": "Upstream TLS provider error",
  "error": "Upstream TLS provider error"
}
Community

Become part of the community

The Regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every Regfish customer.